# Texture3D Class Reference

`#include <Texture3D.h>`

List of all members.

## Public Member Functions
| Texture3D (void)
virtual | ~Texture3D (void)
bool | isInitialized () const
unsigned int | getWidth () const
unsigned int | getHeight () const
unsigned int | getDepth () const
int | getInternalFormat () const
void | use () const
bool | createTextureFromBuffer (unsigned int width, unsigned int height, unsigned int depth, GLint internalFormat, GLenum dataFormat, GLenum dataType, const void *buffer)
float | getMaxTexCoordX () const
float | getMaxTexCoordY () const
float | getMaxTexCoordZ () const
## Private Member Functions
void | cleanUp ()
unsigned int | getNextPowerOfTwo (unsigned int number) const
## Private Attributes
GLuint | m_texID
GLint | m_internalFormat
unsigned int | m_width
unsigned int | m_height
unsigned int | m_depth
unsigned int | m_dataWidth
unsigned int | m_dataHeight
unsigned int | m_dataDepth
bool | m_initialized

## Constructor & Destructor Documentation

Texture3D::Texture3D | ( | void |  | ) |

Texture3D::~Texture3D | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void Texture3D::cleanUp | ( |  | ) | `[private]`

cleans up all GL initializations and possible memory allocations

bool Texture3D::createTextureFromBuffer | ( | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | depth,
|  | GLint | internalFormat,
|  | GLenum | dataFormat,
|  | GLenum | dataType,
|  | const void * | buffer |
| ) |  |  |

unsigned int Texture3D::getDepth | ( |  | ) | const

Returns:
  Depth of the texture

unsigned int Texture3D::getHeight | ( |  | ) | const

Returns:
  Height of the texture

int Texture3D::getInternalFormat | ( |  | ) | const

Returns:
  an integer indicating the internal format of the 3D texture specified in the glTexImage3D() call

float Texture3D::getMaxTexCoordX | ( |  | ) | const

float Texture3D::getMaxTexCoordY | ( |  | ) | const

float Texture3D::getMaxTexCoordZ | ( |  | ) | const

unsigned int Texture3D::getNextPowerOfTwo | ( | unsigned int | number | ) | const`[private]`

Parameters:

  | number | A number greater or equal to 0

Returns:
  If number is 0, 1 is returned, if number is a power of two, number is returned, otherwise the next power of two.

unsigned int Texture3D::getWidth | ( |  | ) | const

Returns:
  Width of the texture

bool Texture3D::isInitialized | ( |  | ) | const

Returns:
  true, if the texture is initialized with some data

void Texture3D::use | ( |  | ) | const

Binds the texture to prepare for following usage

## Member Data Documentation

unsigned int Texture3D::m_dataDepth`[private]`

unsigned int Texture3D::m_dataHeight`[private]`

unsigned int Texture3D::m_dataWidth`[private]`

unsigned int Texture3D::m_depth`[private]`

unsigned int Texture3D::m_height`[private]`

bool Texture3D::m_initialized`[private]`

GLint Texture3D::m_internalFormat`[private]`

GLuint Texture3D::m_texID`[private]`

unsigned int Texture3D::m_width`[private]`

The documentation for this class was generated from the following files:

- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/header/Texture3D.h
- F:/Meine Dateien/Visual Studio 2005/Projects/InsightFlow/src/Texture3D.cpp